View Issue Details

IDProjectCategoryView StatusLast Update
0004129Slicer4Core: Diffusion and Tractography (Any modules)public2017-07-25 11:25
ReporterjcfrAssigned Toinorton 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSlicer 4.6.0 
Target VersionbacklogFixed in VersionSlicer 4.7.0 
Summary0004129: Failing test vtkMRMLFiberBundleNodeTest1 following commits of Jan 8th
Description

See failure trend: http://slicer.cdash.org/testSummary.php?project=1&name=vtkMRMLFiberBundleNodeTest1&date=2016-01-13

Associated backtrace:

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff2e0686c in vtkMatrix4x4::Multiply4x4 (a=0xbd7650, b=0x30, c=0xbd7650) at /home/jcfr/Projects/Slicer-Debug/VTKv6/Common/Math/vtkMatrix4x4.h:214
214       cMat[i][k] = aMat[i][0] * bMat[0][k] +
(gdb) backtrace 
#0  0x00007ffff2e0686c in vtkMatrix4x4::Multiply4x4 (a=0xbd7650, b=0x30, c=0xbd7650) at /home/jcfr/Projects/Slicer-Debug/VTKv6/Common/Math/vtkMatrix4x4.h:214
0000001  0x00007fffd88ce598 in vtkTransformConcatenation::Concatenate (this=0xbc9280, elements=0x30) at /home/jcfr/Projects/Slicer-Debug/VTKv6/Common/Transforms/vtkAbstractTransform.cxx:495
0000002  0x00007ffff6131adb in vtkTransform::Concatenate (this=0xbcae90, elements=0x30) at /home/jcfr/Projects/Slicer-Debug/VTKv6/Common/Transforms/vtkTransform.h:121
0000003  0x00007ffff6131a8b in vtkTransform::SetMatrix (this=0xbcae90, elements=0x30) at /home/jcfr/Projects/Slicer-Debug/VTKv6/Common/Transforms/vtkTransform.h:113
0000004  0x00007ffff6131a30 in vtkTransform::SetMatrix (this=0xbcae90, matrix=0x0) at /home/jcfr/Projects/Slicer-Debug/VTKv6/Common/Transforms/vtkTransform.h:111
0000005  0x00007fffed9a62cf in vtkMRMLTransformableNode::ApplyTransformMatrix (this=0xbbf3f0, transformMatrix=0x0) at /home/jcfr/Projects/Slicer/Libs/MRML/Core/vtkMRMLTransformableNode.cxx:154
0000006  0x00007fffed9a604f in vtkMRMLTransformableNode::GetTransformNodeID (this=0xbbf3f0) at /home/jcfr/Projects/Slicer/Libs/MRML/Core/vtkMRMLTransformableNode.cxx:98
0000007  0x00007fffed6ef238 in vtkMRMLCoreTestingUtilities::ExerciseBasicTransformableMRMLMethods (node=0xbbf3f0) at /home/jcfr/Projects/Slicer/Libs/MRML/Core/vtkMRMLCoreTestingUtilities.cxx:331
0000008  0x00007fffed6ef3d3 in vtkMRMLCoreTestingUtilities::ExerciseBasicStorableMRMLMethods (node=0xbbf3f0) at /home/jcfr/Projects/Slicer/Libs/MRML/Core/vtkMRMLCoreTestingUtilities.cxx:341
0000009  0x00007fffed6ef909 in vtkMRMLCoreTestingUtilities::ExerciseBasicDisplayableMRMLMethods (node=0xbbf3f0) at /home/jcfr/Projects/Slicer/Libs/MRML/Core/vtkMRMLCoreTestingUtilities.cxx:367
0000010 0x00007fffed6fab7d in vtkMRMLCoreTestingUtilities::ExerciseAllBasicMRMLMethods (node=0xbbf3f0) at /home/jcfr/Projects/Slicer/Libs/MRML/Core/vtkMRMLCoreTestingUtilities.cxx:656
0000011 0x000000000041f8c0 in vtkMRMLFiberBundleNodeTest1 (argc=2, argv=0x7fffffffdaf0)
    at /home/jcfr/Projects/Slicer-Debug/SlicerDMRI/Modules/Loadable/TractographyDisplay/Testing/Cxx/vtkMRMLFiberBundleNodeTest1.cxx:33
TagsNo tags attached.

Activities

inorton

inorton

2017-07-25 11:12

developer   ~0014980

Fixed in extension.

Issue History

Date Modified Username Field Change
2016-01-19 03:52 jcfr New Issue
2016-01-19 03:52 jcfr Status new => assigned
2016-01-19 03:52 jcfr Assigned To => alexy
2016-01-19 03:53 jcfr Description Updated View Revisions
2016-01-19 09:39 alexy Assigned To alexy => inorton
2016-02-29 13:49 jcfr Category Module Diffusion => Core: Diffusion & Tractography
2016-02-29 14:05 jcfr Category Core: Diffusion & Tractography => Core: Diffusion & Tractography (Any modules)
2016-06-20 14:14 jcfr Category Core: Diffusion & Tractography (Any modules) => Core: Diffusion and Tractography (Any modules)
2017-07-25 11:10 inorton Target Version => backlog
2017-07-25 11:12 inorton Status assigned => closed
2017-07-25 11:12 inorton Resolution open => fixed
2017-07-25 11:12 inorton Note Added: 0014980
2017-07-25 11:25 jcfr Fixed in Version => Slicer 4.7.0